Generator

Monthly Sponsors

Our Laravel Products

InfyHMSInfyHMS-SAASInfyJobsInfyChatInfyCareInfyVCards-SaaSInfyInvoicesInfyInvoices-SaaSInfyCalInfyFundingInfyNews

AdminLTE Templates

TABLE OF CONTENT
  1. Complete Generator Installation Process
  2. Remove Existing Templates
  3. Add Package
  4. Update Configuration
  5. Publish Layout

Complete Generator Installation Process

Make sure you have completed a full installation process which is described here.

Remove Existing Templates

Remove any previous included template stuff. like,

"infyomlabs/core-templates" from your composer.json

Also remove services provider,

\InfyOm\CoreTemplates\CoreTemplatesServiceProvider::class, from your config/app.php

Add Package

Check the following table for Laravel version compatibility,

Laravel Version infyomlabs/laravel-generator infyomlabs/adminlte-templates
9.0 ^4.0 ^4.0
8.0 ^3.0 ^3.0
7.0 ^2.0 ^3.0
6.0 ^1.0 ^3.0

To use AdminLTE templates, run the following command,

composer require infyomlabs/adminlte-templates

Use composer require infyomlabs/adminlte-templates:"^1.0" for AdminLTE v2 version.

Update Configuration

Update config/infyom/laravel_generator.php to use AdminLTE templates.

Update 'templates' => 'adminlte-templates'

Publish Layout

If you are using published layout from generator then you need to publish layout files again by,

php artisan ui adminlte --auth npm install && npm run dev

Allow to overwrite each and every file if you have any previous templates installed.

And you are all set to use AdminLTE templates.